Last-Modified: Thu, 18 Sep 2025 01:54:55 GMT
Expires: Thu, 18 Sep 2025 01:59:55 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>openwrt/upstream - upstream openwrt</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.panaceas.org/cgit/openwrt/upstream/atom/package/libs/libroxml?h=v18.06.0-rc2' type='application/atom+xml'/>
<link rel='vcs-git' href='git://git.panaceas.org/openwrt/upstream' title='openwrt/upstream Git repository'/>
<link rel='vcs-git' href='ssh://git@git.panaceas.org/git/openwrt/upstream' title='openwrt/upstream Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/cgit/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/cgit/'>index</a> : <a title='openwrt/upstream' href='/cgit/openwrt/upstream/'>openwrt/upstream</a></td><td class='form'><form method='get'>
<select name='h' onchange='this.form.submit();'>
<option value='attitude_adjustment'>attitude_adjustment</option>
<option value='barrier_breaker'>barrier_breaker</option>
<option value='chaos_calmer'>chaos_calmer</option>
<option value='lede-17.01'>lede-17.01</option>
<option value='less-old-master'>less-old-master</option>
<option value='master'>master</option>
<option value='old-master'>old-master</option>
<option value='openwrt-18.06'>openwrt-18.06</option>
<option value='openwrt-19.07'>openwrt-19.07</option>
<option value='upstream'>upstream</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>upstream openwrt</td><td class='sub right'>James</td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit/openwrt/upstream/about/?h=v18.06.0-rc2'>about</a><a href='/cgit/openwrt/upstream/?h=v18.06.0-rc2'>summary</a><a href='/cgit/openwrt/upstream/refs/?h=v18.06.0-rc2'>refs</a><a href='/cgit/openwrt/upstream/log/package/libs/libroxml?h=v18.06.0-rc2'>log</a><a href='/cgit/openwrt/upstream/tree/package/libs/libroxml?h=v18.06.0-rc2'>tree</a><a class='active' href='/cgit/openwrt/upstream/commit/package/libs/libroxml?h=v18.06.0-rc2'>commit</a><a href='/cgit/openwrt/upstream/diff/package/libs/libroxml?h=v18.06.0-rc2'>diff</a><a href='/cgit/openwrt/upstream/stats/package/libs/libroxml?h=v18.06.0-rc2'>stats</a></td><td class='form'><form class='right' method='get' action='/cgit/openwrt/upstream/log/package/libs/libroxml'>
<input type='hidden' name='h' value='v18.06.0-rc2'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit/openwrt/upstream/commit/?h=v18.06.0-rc2'>root</a>/<a href='/cgit/openwrt/upstream/commit/package?h=v18.06.0-rc2'>package</a>/<a href='/cgit/openwrt/upstream/commit/package/libs?h=v18.06.0-rc2'>libs</a>/<a href='/cgit/openwrt/upstream/commit/package/libs/libroxml?h=v18.06.0-rc2'>libroxml</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='h' value='v18.06.0-rc2'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selected='selected'>3</option><option value='4'>4</option><option value='5'>5</option><option value='6'>6</option><option value='7'>7</option><option value='8'>8</option><option value='9'>9</option><option value='10'>10</option><option value='15'>15</option><option value='20'>20</option><option value='25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ctrl'><select name='ignorews' onchange='this.form.submit();'><option value='0' selected='selected'>include</option><option value='1'>ignore</option></select></td></tr><tr><td class='label'>mode:</td><td class='ctrl'><select name='dt' onchange='this.form.submit();'><option value='0' selected='selected'>unified</option><option value='1'>ssdiff</option><option value='2'>stat only</option></select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='reload'/></noscript></td></tr></table></form></div><table summary='commit info' class='commit-info'>
<tr><th>author</th><td>Jo-Philipp Wich &lt;jo@mein.io&gt;</td><td class='right'>2018-07-15 17:54:33 +0200</td></tr>
<tr><th>committer</th><td>Jo-Philipp Wich &lt;jo@mein.io&gt;</td><td class='right'>2018-07-15 17:54:33 +0200</td></tr>
<tr><th>commit</th><td colspan='2' class='sha1'><a href='/cgit/openwrt/upstream/commit/package/libs/libroxml?h=v18.06.0-rc2&amp;id=4de335bdbed6b6ef5b191ba31b71f007dc419172'>4de335bdbed6b6ef5b191ba31b71f007dc419172</a> (<a href='/cgit/openwrt/upstream/patch/package/libs/libroxml?id=4de335bdbed6b6ef5b191ba31b71f007dc419172'>patch</a>)</td></tr>
<tr><th>tree</th><td colspan='2' class='sha1'><a href='/cgit/openwrt/upstream/tree/?h=v18.06.0-rc2'>88726158983cee75946af54f1a49dd333899ff9c</a> /<a href='/cgit/openwrt/upstream/tree/package/libs/libroxml?h=v18.06.0-rc2'>package/libs/libroxml</a></td></tr>
<tr><th>parent</th><td colspan='2' class='sha1'><a href='/cgit/openwrt/upstream/commit/package/libs/libroxml?h=v18.06.0-rc2&amp;id=e4d0ee5af5a01d0e845cb727ee434f75119e78d9'>e4d0ee5af5a01d0e845cb727ee434f75119e78d9</a> (<a href='/cgit/openwrt/upstream/diff/package/libs/libroxml?h=v18.06.0-rc2&amp;id2=e4d0ee5af5a01d0e845cb727ee434f75119e78d9'>diff</a>)</td></tr><tr><th>download</th><td colspan='2' class='sha1'><a href='/cgit/openwrt/upstream/snapshot/upstream-18.06.0-rc2.tar.gz'>upstream-18.06.0-rc2.tar.gz</a><br/><a href='/cgit/openwrt/upstream/snapshot/upstream-18.06.0-rc2.tar.bz2'>upstream-18.06.0-rc2.tar.bz2</a><br/><a href='/cgit/openwrt/upstream/snapshot/upstream-18.06.0-rc2.zip'>upstream-18.06.0-rc2.zip</a><br/></td></tr></table>
<div class='commit-subject'>OpenWrt v18.06.0-rc2: adjust config defaults<span class='decoration'><a class='tag-annotated-deco' href='/cgit/openwrt/upstream/tag/?h=v18.06.0-rc2'>v18.06.0-rc2</a></span></div><div class='commit-msg'>Signed-off-by: Jo-Philipp Wich &lt;jo@mein.io&gt;
</div><div class='diffstat-header'><a href='/cgit/openwrt/upstream/diff/?h=v18.06.0-rc2'>Diffstat</a> (limited to 'package/libs/libroxml')</div><table summary='diffstat' class='diffstat'></table><div class='diffstat-summary'>0 files changed, 0 insertions, 0 deletions</div><table summary='diff' class='diff'><tr><td></td></tr></table></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-09-18 01:54:55 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
<a id='n94' href='#n94'>94</a>
<a id='n95' href='#n95'>95</a>
<a id='n96' href='#n96'>96</a>
<a id='n97' href='#n97'>97</a>
<a id='n98' href='#n98'>98</a>
<a id='n99' href='#n99'>99</a>
<a id='n100' href='#n100'>100</a>
<a id='n101' href='#n101'>101</a>
<a id='n102' href='#n102'>102</a>
<a id='n103' href='#n103'>103</a>
<a id='n104' href='#n104'>104</a>
<a id='n105' href='#n105'>105</a>
<a id='n106' href='#n106'>106</a>
</pre></td>
<td class='lines'><pre><code><style>pre { line-height: 125%; margin: 0; }
td.linenos pre { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
span.linenos { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
td.linenos pre.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight { background: #ffffff; }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="nn">---</span>

<span class="c1"># Notes:</span>
<span class="c1"># Sample project C code is not presently written to produce a release artifact.</span>
<span class="c1"># As such, release build options are disabled.</span>
<span class="c1"># This sample, therefore, only demonstrates running a collection of unit tests.</span>

<span class="l l-Scalar l-Scalar-Plain">:project</span><span class="p p-Indicator">:</span>
  <span class="l l-Scalar l-Scalar-Plain">:use_exceptions</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">TRUE</span>
  <span class="l l-Scalar l-Scalar-Plain">:use_mocks</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">TRUE</span>
  <span class="l l-Scalar l-Scalar-Plain">:use_test_preprocessor</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">TRUE</span>
  <span class="l l-Scalar l-Scalar-Plain">:use_auxiliary_dependencies</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">TRUE</span>
  <span class="l l-Scalar l-Scalar-Plain">:use_deep_dependencies</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">TRUE</span>
  <span class="l l-Scalar l-Scalar-Plain">:build_root</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">_build</span>
<span class="c1">#  :release_build: TRUE</span>
  <span class="l l-Scalar l-Scalar-Plain">:test_file_prefix</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">test_</span>
  <span class="l l-Scalar l-Scalar-Plain">:which_ceedling</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">vendor/ceedling</span>
  <span class="l l-Scalar l-Scalar-Plain">:default_tasks</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">test:all</span>

<span class="c1">#:test_build:</span>
<span class="c1">#  :use_assembly: TRUE</span>

<span class="c1">#:release_build:</span>
<span class="c1">#  :output: MyApp.out</span>
<span class="c1">#  :use_assembly: FALSE</span>

<span class="l l-Scalar l-Scalar-Plain">:environment</span><span class="p p-Indicator">:</span>

<span class="l l-Scalar l-Scalar-Plain">:extension</span><span class="p p-Indicator">:</span>
  <span class="l l-Scalar l-Scalar-Plain">:executable</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">.out</span>

<span class="l l-Scalar l-Scalar-Plain">:paths</span><span class="p p-Indicator">:</span>
  <span class="l l-Scalar l-Scalar-Plain">:test</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">+:test/**</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">-:test/support</span>
  <span class="l l-Scalar l-Scalar-Plain">:source</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">../src/**</span>
  <span class="l l-Scalar l-Scalar-Plain">:support</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">test/support</span>

<span class="l l-Scalar l-Scalar-Plain">:defines</span><span class="p p-Indicator">:</span>
  <span class="c1"># in order to add common defines:</span>
  <span class="c1">#  1) remove the trailing [] from the :common: section</span>
  <span class="c1">#  2) add entries to the :common: section (e.g. :test: has TEST defined)</span>
  <span class="l l-Scalar l-Scalar-Plain">:common</span><span class="p p-Indicator">:</span> <span class="nl">&amp;common_defines</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">_UNITY_TEST_</span>
  <span class="l l-Scalar l-Scalar-Plain">:test</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="nv">*common_defines</span>
  <span class="l l-Scalar l-Scalar-Plain">:test_preprocess</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="nv">*common_defines</span>

<span class="l l-Scalar l-Scalar-Plain">:cmock</span><span class="p p-Indicator">:</span>
  <span class="l l-Scalar l-Scalar-Plain">:mock_prefix</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">mock_</span>
  <span class="l l-Scalar l-Scalar-Plain">:when_no_prototypes</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">:warn</span>
  <span class="l l-Scalar l-Scalar-Plain">:enforce_strict_ordering</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">TRUE</span>
  <span class="l l-Scalar l-Scalar-Plain">:plugins</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">:ignore</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">:ignore_arg</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">:return_thru_ptr</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">:callback</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">:array</span>
  <span class="l l-Scalar l-Scalar-Plain">:treat_as</span><span class="p p-Indicator">:</span>
    <span class="nt">uint8</span><span class="p">:</span>    <span class="l l-Scalar l-Scalar-Plain">HEX8</span>
    <span class="nt">uint16</span><span class="p">:</span>   <span class="l l-Scalar l-Scalar-Plain">HEX16</span>
    <span class="nt">uint32</span><span class="p">:</span>   <span class="l l-Scalar l-Scalar-Plain">UINT32</span>
    <span class="nt">int8</span><span class="p">:</span>     <span class="l l-Scalar l-Scalar-Plain">INT8</span>
    <span class="nt">bool</span><span class="p">:</span>     <span class="l l-Scalar l-Scalar-Plain">UINT8</span>

<span class="c1"># Add -gcov to the plugins list to make sure of the gcov plugin</span>
<span class="c1"># You will need to have gcov and gcovr both installed to make it work.</span>
<span class="c1"># For more information on these options, see docs in plugins/gcov</span>
<span class="l l-Scalar l-Scalar-Plain">:gcov</span><span class="p p-Indicator">:</span>
    <span class="l l-Scalar l-Scalar-Plain">:html_report</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">TRUE</span>
    <span class="l l-Scalar l-Scalar-Plain">:html_report_type</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">detailed</span>
    <span class="l l-Scalar l-Scalar-Plain">:html_medium_threshold</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">75</span>
    <span class="l l-Scalar l-Scalar-Plain">:html_high_threshold</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">90</span>
    <span class="l l-Scalar l-Scalar-Plain">:xml_report</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">FALSE</span>

<span class="c1">#:tools:</span>
<span class="c1"># Ceedling defaults to using gcc for compiling, linking, etc.</span>
<span class="c1"># As [:tools] is blank, gcc will be used (so long as it&#39;s in your system path)</span>
<span class="c1"># See documentation to configure a given toolchain for use</span>

<span class="c1"># LIBRARIES</span>
<span class="c1"># These libraries are automatically injected into the build process. Those specified as</span>
<span class="c1"># common will be used in all types of builds. Otherwise, libraries can be injected in just</span>
<span class="c1"># tests or releases. These options are MERGED with the options in supplemental yaml files.</span>
<span class="l l-Scalar l-Scalar-Plain">:libraries</span><span class="p p-Indicator">:</span>
  <span class="l l-Scalar l-Scalar-Plain">:placement</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">:end</span>
  <span class="l l-Scalar l-Scalar-Plain">:flag</span><span class="p p-Indicator">:</span> <span class="s">&quot;${1}&quot;</span>  <span class="c1"># or &quot;-L ${1}&quot; for example</span>
  <span class="l l-Scalar l-Scalar-Plain">:common</span><span class="p p-Indicator">:</span> <span class="nl">&amp;common_libraries</span> <span class="p p-Indicator">[]</span>
  <span class="l l-Scalar l-Scalar-Plain">:test</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="nv">*common_libraries</span>
  <span class="l l-Scalar l-Scalar-Plain">:release</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="nv">*common_libraries</span>

<span class="l l-Scalar l-Scalar-Plain">:plugins</span><span class="p p-Indicator">:</span>
  <span class="l l-Scalar l-Scalar-Plain">:load_paths</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">vendor/ceedling/plugins</span>
  <span class="l l-Scalar l-Scalar-Plain">:enabled</span><span class="p p-Indicator">:</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">stdout_pretty_tests_report</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">module_generator</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">raw_output_report</span>
    <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">colour_report</span>
<span class="nn">...</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-09-18 01:54:57 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
